package com.pcloud.book.copyright.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author lily
 * @date 2018/12/26 10:21
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ProvinceTop10VO implements Serializable {

    @ApiModelProperty("省份")
    private String province;

    @ApiModelProperty("激活人数")
    private Integer totalCount;

    @ApiModelProperty("授权码用户书")
    private Integer codeUserCount;

    @ApiModelProperty("授权金用户数")
    private Integer payUserCount;

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getCodeUserCount() {
        return codeUserCount;
    }

    public void setCodeUserCount(Integer codeUserCount) {
        this.codeUserCount = codeUserCount;
    }

    public Integer getPayUserCount() {
        return payUserCount;
    }

    public void setPayUserCount(Integer payUserCount) {
        this.payUserCount = payUserCount;
    }

    @Override
    public String toString() {
        return "ProvinceTop10VO{" +
                "province='" + province + '\'' +
                ", totalCount=" + totalCount +
                ", codeUserCount=" + codeUserCount +
                ", payUserCount=" + payUserCount +
                '}';
    }
}
